{% extends "logged_in.html" %}
{% load fontawesome_5 %}

{% block content %}
    <h1>Twitter integration</h1>

    <h2>User</h2>
    {% if token %}
        <table class="table">
            <tr><th>Name</th><td>{{ token.api.settings.user.name }}</td></tr>
            <tr><th>Icon</th><td><img src="{{ token.api.settings.user.profile_image_url_https }}" class="profile-pic"/></td></tr>
            <tr><th>Username</th><td><a href="{{ token.api.settings.user.link }}">@{{ token.api.settings.user.screen_name }}</a></td></tr>
            <tr><th>Followers</th><td>{{ token.api.settings.user.followers_count }}</td></tr>
            <tr><th>Following</th><td>{{ token.api.settings.user.friends_count }}</td></tr>
            <tr><th>Actions</th><td>
                <ul class="buttons">
                    <li><a href="{% url "twitter:disconnect" %}">{% fa5_icon "trash-alt" "fas" %} Disconnect</a></li>
                    {% if user.is_superuser %}
                        <li><a href="{% url "twitter:test" %}">Test API</a></li>
                    {% endif %}
                </ul>
            </td></tr>
        </table>

        <h2>Raffle</h2>
        <form method="post" action="{% url "twitter:raffle_start" %}">
            {% csrf_token %}
            <input type="text" name="id" value="" placeholder="Tweet" />
            <button type="submit">View</button>
        </form>

    {% else %}
        <ul class="buttons compact-buttons">
            <li><a href="{% url "twitter:connect" %}">{% fa5_icon "plug" "fas" %} Connect</a></li>
        </ul>
    {% endif %}
{% endblock %}

